Tech Support Guy banner
  • Please post in our Community Feedback thread for help with the new forum software! If you are having trouble logging in, please Contact Us for assistance.
Status
Not open for further replies.
1 - 4 of 4 Posts

·
Super Moderator
Joined
·
37,519 Posts
Discussion Starter · #1 ·
Hiya

Painkiller is a FPS game for Microsoft Windows operating systems. Painkiller versions 1.35 and prior are vulnerable to a buffer overflow. The standard cd key is 72 characters. By sending a long cd key (more than 100 bytes) to the Painkiller server, a remote attacker could overflow a buffer. This could be exploited to possibly allow execution of arbitrary code on the system or a denial of service.

Platforms Affected:

Microsoft Corporation: Windows XP Any version
People can Fly: Painkiller 1.35


http://xforce.iss.net/xforce/xfdb/19205

Regards

eddie
 

·
Super Moderator
Joined
·
37,519 Posts
Discussion Starter · #3 ·
Hiya Shairel

I don't think so, as the remedy is quoted as saying:

to upgrade to the latest version of Painkiller (1.61 or later), available from the Painkiller game Web site.
So you should be safe with that version :)

eddie
 
1 - 4 of 4 Posts
Status
Not open for further replies.
Top